Bug 851416 - [RFE] display the multipathd running status by mpathconf
[RFE] display the multipathd running status by mpathconf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Ben Marzinski
Petr Beňas
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 02:53 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
8 users (show)

See Also:
Fixed In Version: device-mapper-multipath-0.4.9-51.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:22:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-08-24 02:53:22 EDT
Description of problem:
It's an enhancement and low priority.


Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.9-26.el7.x86_64

How reproducible:


Steps to Reproduce:
1. install device-mapper-multipath
2. mpathconf --enable
3. mpathconf
it's better to display the multipathd running status.
  
Actual results:
# mpathconf 
error reading information on service multipathd: No such file or directory

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

multipath is enabled
find_multipaths is enabled
user_friendly_names is disabled
dm_multipath module is loaded
multipathd is chkconfiged off



Expected results:


Additional info:
Comment 3 Ben Marzinski 2013-05-20 15:05:55 EDT
mpathconf now lists the multipathd running state.

[root@ask-08 ~]# mpathconf 
multipath is enabled
find_multipaths is disabled
user_friendly_names is disabled
dm_multipath module is loaded
multipathd is running
[root@ask-08 ~]# service multipathd stop
Stopping multipathd (via systemctl):                       [  OK  ]
[root@ask-08 ~]# mpathconf 
multipath is enabled
find_multipaths is disabled
user_friendly_names is disabled
dm_multipath module is loaded
multipathd is not running
Comment 5 Petr Beňas 2013-06-17 09:27:49 EDT
Reproduced in device-mapper-multipath-0.4.9-50.el7.x86_64 and verfied in device-mapper-multipath-0.4.9-51.el7.x86_64.
Comment 6 Ludek Smid 2014-06-13 08:22:43 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.